Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram
Class PathwaySimulationSemanticController

    java.lang.Object
      biouml.model.DefaultSemanticController
          biouml.standard.diagram.PathwaySemanticController
              biouml.standard.diagram.PathwaySimulationSemanticController

All Implemented Interfaces:
  SemanticController

Direct Known Subclasses:
  CellMLSemanticController, SbmlSemanticController

public class PathwaySimulationSemanticController
extends PathwaySemanticController

Field Summary

Fields inherited from class biouml.standard.diagram.PathwaySemanticController
`log`

Fields inherited from interface biouml.model.SemanticController
`ERROR_CAN_NOT_CLONE_NODE, ERROR_NODE_IS_DUPLICATED`

Constructor Summary
`PathwaySimulationSemanticController()`

Method Summary
`DiagramElement` | `createInstance(Compartment parent, java.lang.Class type, java.awt.Point pt, ViewEditorPane viewEditor)`
`protected DiagramElement` | `createRule(Compartment parent, java.awt.Point pt, ViewEditorPane viewEditor)`

Methods inherited from class biouml.standard.diagram.PathwaySemanticController
`createDiagramElement, generateReactionName, getNode, remove`

Methods inherited from class biouml.model.DefaultSemanticController
`canAccept, canAccept, findNewNode, isResizable, move, moveEdge, moveEdges, moveEdges, moveNode, remapEdge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathwaySimulationSemanticController

    public PathwaySimulationSemanticController()

Method Detail

### createInstance

    public DiagramElement createInstance(Compartment parent,
                                         java.lang.Class type,
                                         java.awt.Point pt,
                                         ViewEditorPane viewEditor)

  Specified by:
    `createInstance` in interface `SemanticController`
  Overrides:
    `createInstance` in class `PathwaySemanticController`

### createRule

    protected DiagramElement createRule(Compartment parent,
                                        java.awt.Point pt,
                                        ViewEditorPane viewEditor)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.